import { services } from 'typescript-angular-utilities';
import __string = services.string;
import __object = services.object;
import { IBreakpointSize } from '../../column';
export declare class SizeForBreakpoints {
    stringUtility: __string.IStringUtility;
    objectUtility: __object.IObjectUtility;
    constructor(stringUtility: __string.StringUtility, objectUtility: __object.ObjectUtility);
    getClass(sizes: IBreakpointSize | number, styling: string): string;
    buildSizes(sizes: IBreakpointSize | number): IBreakpointSize;
    private getColumnClass(columnSizes, attribute);
}
